FROM openjdk:11

ENV WAIT_VERSION 2.9.0
ADD https://github.com/ufoscout/docker-compose-wait/releases/download/$WAIT_VERSION/wait /wait

RUN chmod +x /wait

COPY viewer.jar /viewer.jar
RUN chown root:root /viewer.jar && chmod 644 /viewer.jar

USER www-data:www-data

EXPOSE 8080

